# Class CIM_HostedNetworkPipe
extends CIM_HostedDependency

HostedNetworkPipe is an association between a pipe and the network in whose context the pipe is defined. The cardinality of this association is 1-to-many. A network may host many pipes, and pipes are scoped/contained by only one network.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_HostedDependency
|
+--CIM_HostedNetworkPipe

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | HostedNetworkPipe is an association between a pipe and the network in whose context the pipe is defined. The cardinality of this association is 1-to-many. A network may host many pipes, and pipes are scoped/contained by only one network.
UMLPackagePath | string | CIM::Network::Pipes
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_HostedNetworkPipe | CIM_Network
Dependent | CIM_HostedNetworkPipe | CIM_NetworkPipe

## Class Methods